# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### Sample

Category

Realization

Function

Samples the points of a field (surface or volume).

Syntax

    samples = Sample(manifold, density);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`manifold` | field | none | the surface or volume to be sampled
`density` | integer | 100 | approximate number of samples

Outputs

Name | Type | Description
--- | --- | ---
`samples` | field | a set of samples of the field

Functional Details

This module samples a specified field at a set of more or less uniformly spaced points.

`manifold` | is the field to be sampled.
`density` | is the approximate number of output samples.

Note: Any components in the original field (`manifold`) that are position or connection dependent are mapped onto the output samples. In either case, the component in the output field will be position dependent ("dep" "positions"). (Because the output of Sample is a set of unconnected positions, you cannot use mapped samples as input to modules that need to interpolate values, such as DivCurl or MapToPlane).

Components

Creates a new "positions" component. All other components, except for "connections," are propagated to the output.

Example Visual Programs

    MappedIso.net
    RubberTube.net
    Streamline.net
    UsingCompute2.net
    UsingGlyphs.net

See Also

AutoGlyph, Glyph, Map, Streakline, Streamline

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]